Bug 5079 - Properly package nss-myhostname
: Properly package nss-myhostname
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-20 09:11 MSK by Andrey Bondrov
Modified: 2015-03-05 18:33 MSK (History)
3 users (show)

See Also:
RPM Package: nss-myhostname
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-02-20 09:11:22 MSK
We need to properly package nss-myhostname: split libraries into own package to make it possible to install both 32 and 64 bit libraries.
Comment 1 Andrey Bondrov 2015-02-20 09:12:21 MSK
Advisory: "Split libraries into own package to make it possible to install both 32 and 64 bit libraries"

https://abf.rosalinux.ru/build_lists/2431237
https://abf.rosalinux.ru/build_lists/2431238
Comment 2 FirstLevel 2015-02-24 12:23:29 MSK
32bit

old

[root@r5-32 ~]# rpm -qa | grep nss-my
nss-myhostname-0.3-2-rosa2014.1.i586
[root@r5-32 ~]# rpm -ql nss-myhostname-0.3-2-rosa2014.1.i586
/lib/libnss_myhostname.so.2
/usr/share/doc/nss-myhostname
/usr/share/doc/nss-myhostname/LICENSE
/usr/share/doc/nss-myhostname/README
[root@r5-32 ~]# 

plug container + update - ok

new

[root@r5-32 ~]# rpm -qa | grep nss-my
nss-myhostname-0.3-5-rosa2014.1.i586
[root@r5-32 ~]# rpm -qa | grep nss_my
libnss_myhostname2-0.3-5-rosa2014.1.i586
[root@r5-32 ~]# rpm -ql nss-myhostname-0.3-5-rosa2014.1.i586
/usr/share/doc/nss-myhostname
/usr/share/doc/nss-myhostname/LICENSE
/usr/share/doc/nss-myhostname/README
[root@r5-32 ~]# rpm -ql libnss_myhostname2-0.3-5-rosa2014.1.i586
/lib/libnss_myhostname.so.2
[root@r5-32 ~]#
Comment 3 FirstLevel 2015-02-24 12:35:00 MSK
64bit

OLD

[root@r5-64 ~]# rpm -qa | grep nss-my
nss-myhostname-0.3-2-rosa2014.1.x86_64
[root@r5-64 ~]# rpm -ql nss-myhostname-0.3-2-rosa2014.1.x86_64
/lib64/libnss_myhostname.so.2
/usr/share/doc/nss-myhostname
/usr/share/doc/nss-myhostname/LICENSE
/usr/share/doc/nss-myhostname/README
[root@r5-64 ~]# 


plug container and update - ok

NEW

[root@r5-64 ~]# rpm -qa | grep nss-my
nss-myhostname-0.3-5-rosa2014.1.x86_64
[root@r5-64 ~]# rpm -ql nss-myhostname-0.3-5-rosa2014.1.x86_64
/usr/share/doc/nss-myhostname
/usr/share/doc/nss-myhostname/LICENSE
/usr/share/doc/nss-myhostname/README
[root@r5-64 ~]# rpm -qa | grep nss_my
lib64nss_myhostname2-0.3-5-rosa2014.1.x86_64
[root@r5-64 ~]# rpm -ql lib64nss_myhostname2-0.3-5-rosa2014.1.x86_64
/lib64/libnss_myhostname.so.2
[root@r5-64 ~]#
Comment 4 FirstLevel 2015-02-24 12:35:46 MSK
"Split libraries into own package to make it possible to install both 32 and 64 bit libraries"  - it works for 32 and 64 bit
Comment 5 FirstLevel 2015-02-24 13:35:12 MSK
For real hardware I have not found any issues after upgrading (32 and 64 bit)
Comment 6 Vladimir Potapov 2015-02-26 16:16:52 MSK
The update route to expanded testing
************************************
Comment 7 Vladimir Potapov 2015-02-27 13:36:13 MSK
nss-myhostname-0.3-5
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2431237/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2431238/x86_64/main/release/
**************************** Advisory ************************
Split libraries into own package to make it possible to install both 32 and 64 bit libraries
**************************************************************
QA Verified